Unable to find expo in this project - have you run yarn / npm install yet?

Was trying to update project then i got :

Unable to find expo in this project - have you run yarn / npm install yet?
├─ actionAsync C:\Users\hp\AppData\Roaming\npm\node_modules\expo-cli\src\commands\start\startAsync.ts:30:11
├─ C:\Users\hp\AppData\Roaming\npm\node_modules\expo-cli\src\commands\start.ts:30:22
└─ expo start C:\Users\hp\AppData\Roaming\npm\node_modules\expo-cli\src\exp.ts:348:7

Then i tried npm install and got this:

npm ERR! code ERESOLVE
npm ERR! ERESOLVE unable to resolve dependency tree
npm ERR!
npm ERR! While resolving: undefined@undefined
npm ERR! Found: react-native@0.63.2
npm ERR! node_modules/react-native
npm ERR! react-native@“https://github.com/expo/react-native/archive/sdk-42.0.0.tar.gz” from the root project
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer react-native@"^0.41.2" from react-native-dropdownmenus@1.0.6
npm ERR! node_modules/react-native-dropdownmenus
npm ERR! react-native-dropdownmenus@"^1.0.6" from the root project
npm ERR!
npm ERR! Fix the upstream dependency conflict, or retry
npm ERR! this command with --force, or --legacy-peer-deps
npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
npm ERR!
npm ERR! See C:\Users\hp\AppData\Local\npm-cache\eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\hp\AppData\Local\np

Diagnostics:
Expo CLI 4.8.1 environment info:
System:
OS: Windows 10 10.0.19042
Binaries:
Node: 14.17.0 - C:\Program Files\nodejs\node.EXE
npm: 7.12.1 - C:\Program Files\nodejs\npm.CMD
SDKs:
Android SDK:
API Levels: 23, 26, 27, 28, 29, 30
Build Tools: 27.0.3, 28.0.3, 29.0.2, 29.0.3
System Images: android-23 | Intel x86 Atom, android-23 | Intel x86 Atom_64, android-23 | Google APIs Intel x86 Atom_64, android-25 | Google Play Intel x86 Atom, android-26 | Google Play Intel x86 Atom, android-27 | Google Play Intel x86 Atom, android-28 | Google Play Intel x86 Atom
IDEs:
Android Studio: Version 3.6.0.0 AI-192.7142.36.36.6241897
Expo Workflow: managed

Hey @wokeupsober, can you see if this occurs when creating a brand new project via expo init?